Summary: Multicomputer process monitoring utilities
Name: mprocps
%define version 1.0.1-1.2.9
Version: %{version}
Release: 2
Copyright: GPL
Group: Utilities/System
Source: ftp://ftp.cs.huji.ac.il/users/mosix/contrib/mprocps-%{version}.tar.gz
BuildRoot: /var/tmp/mprocps-root

%package X11
Group: X11/Utilities
Summary: X-based process monitoring utilities

%description
A package of utilities which report on the state of the system,
including the states of running processes, amount of memory available,
and currently-logged-in users on a Mosix multicomputer system.

%description X11
A package of X-based utilities which report on the state of the system.
These utilities generally provide graphical presentations of information
available from tools in the procps suite.

%prep
%setup

%build
PATH=/usr/X11R6/bin:$PATH

make CC="gcc $RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1 $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/lib

make DESTDIR=$RPM_BUILD_ROOT install

# Since this is specific to Red Hat now, we'll leave this in the spec file.
# If others decide they like wmconfig, we'll move it to the install phase
# of the Makefile.
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 mtop.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/mtop

%clean
rm -rf $RPM_BUILD_ROOT

%post
# add libproc to the cache
/sbin/ldconfig
# ask ps to set up /etc/psdevtab if /proc is mounted
if [ -f /proc/uptime ] ; then
  /bin/mps </dev/null >/dev/null 2>&1
fi

%files
%attr(0644,root,root) %config(missingok) /etc/X11/wmconfig/mtop
%attr(0644,root,root) %doc NEWS BUGS TODO
%attr(755,root,root) /lib/libproc.so.1.2.6
%attr(555,root,root) /bin/mps
%attr(555,root,root) /usr/bin/mtop

%attr(0644,root,root) /usr/man/man1/mps.1
%attr(0644,root,root) /usr/man/man1/mtop.1

%files X11
%attr(4755,root,root) /usr/X11R6/bin/XConsole
